API Explorer 936 endpoints

Create Customer Attribute

POST /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/attribute

OBPv4.0.0-createCustomerAttribute Roles: CanCreateCustomerAttributeAtOneBank(per bank),CanCreateCustomerAttributeAtAnyBank CustomerCustomer-AttributeAttribute

Create Customer Attribute

The type field must be one of "STRING", "INTEGER", "DOUBLE", "DECIMAL", "BOOLEAN" and "DATE_WITH_DAY". Use "DECIMAL" rather than "DOUBLE" for rates, prices and amounts, because it holds the value exactly; "BOOLEAN" values are "true" or "false".

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON request body fields (3)
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
JSON response body fields (4)
customer_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
Example request body
{
  "name": "SPECIAL_TAX_NUMBER",
  "type": "STRING",
  "value": "123456789"
}
Example success response
{
  "customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "name": "SPECIAL_TAX_NUMBER",
  "type": "STRING",
  "value": "123456789"
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 createCustomerAttribute Originally /obp/v4.0.0/banks/BANK_ID/customers/CUSTOMER_ID/attribute